%define oname   net-ftp

Name:       ruby-%{oname}
Version:    0.3.8
Release:    %mkrel 1
Summary:    A pure Ruby implementation of the FTP client protocol
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/ruby/%{oname}
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A pure Ruby implementation of the FTP client protocol

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install



%changelog
* Wed Dec 04 2024 pterjan <pterjan> 0.3.8-1.mga10
+ Revision: 2121068
- Update to 0.3.8

* Mon Apr 08 2024 pterjan <pterjan> 0.3.4-1.mga10
+ Revision: 2055689
- Update to 0.3.4

* Sun Jul 02 2023 bcornec <bcornec> 0.2.0-2.mga9
+ Revision: 1963451
+ rebuild (emptylog)

* Sat Jul 01 2023 bcornec <bcornec> 0.2.0-1.mga9
+ Revision: 1963385
- Update to upstream ruby-net-ftp 0.2.0 for vagrant 2.3.7 update

* Wed Jul 20 2022 bcornec <bcornec> 0.1.3-1.mga9
+ Revision: 1869605
- Adds ruby-net-ftp for vagrant 2.2.19
- Created package structure for ruby-net-ftp.

